﻿using System;
using System.Windows.Forms;
using System.Net;

namespace HTTP提交方法测试
{
    public partial class FrmMain : Form
    {
        public FrmMain()
        {
            InitializeComponent();
        }

        private void btnSubmit_Click(object sender, EventArgs e)
        {
            try
            {
                HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(txtUrl.Text);
                request.Method = cmbMethod.Text;
                if (chkProxy.Checked)
                {
                    request.Proxy = new WebProxy("127.0.0.1", 8888);
                }
                HttpWebResponse respone = request.GetResponse() as HttpWebResponse;
                txtLog.Text = respone.StatusCode.ToString();
            }
            catch (Exception ex)
            {
                txtLog.Text = ex.ToString();
            }
        }

        private void FrmMain_Load(object sender, EventArgs e)
        {
            cmbMethod.SelectedIndex = 0;
        }
    }
}
